<?php
/**
 * DarkCMS CORE
 *
 * Geschreven door	: David Herregat a.k.a. Darklandz (www.darklandz.be)
 *
 */

/**
 * Veiligheid controle ...
 */

define('dArKCMS', true);

/**
 * Includes ophalen ...
 */
 
include("includes/_darkcmsConfiguratie.php"); 
include("includes/class.sessieBeheer.php");
include("includes/_darkcmsCore.php");
include("includes/class.serverStatus.php");

/**
 * Taal ophalen ...
 */

$CoreTaal	= strtoupper($_GET['tl']);
if ($CoreTaal == ''){$CoreTaal = 'NL';}

if (($CoreTaal != 'NL') && ($CoreTaal != 'FR')){ 
	$CoreTaal = 'NL'; 
}


include("talen/_core".$CoreTaal.".php");

/**
 * Diverse akties gaan uitvoeren ...
 */

switch ($_GET['a']){

	case "logUit" :
		$session->uitloggen();
	break;
	
	case "logIn" :
		if(!get_magic_quotes_gpc()) {
			$Fgebruikersnaam 	= htmlspecialchars($_POST['user']);
			$Fgebruikersnaam 	= addslashes($Fgebruikersnaam);
			$Fwachtwoord 		= htmlspecialchars($_POST['pass']);
			$Fwachtwoord 		= addslashes($_POST['pass']);
		} else {
 			$Fgebruikersnaam 	= htmlspecialchars($_POST['user']);
 			$Fwachtwoord		= htmlspecialchars($_POST['pass']);
		}
		$session->inloggen($Fgebruikersnaam, $Fwachtwoord);
		header("Location: index.php?tl=".$CoreTaal);
	break;
}	

/**
 * Gebruiker is ingelogd ...
 */

if($session->checkLogin()){

	include('includes/_darkcmsHeader.php');
	coreGebruikerStats($CoreTaal);
	coreModules (0,$CoreTaal);
	coreAlgemeen();
	include('includes/_darkcmsFooter.php');

/**
 * Gebruiker is NIET ingelogd ...
 */

} else {

	include('includes/_darkcmsHeader.php');	
	
	echo '<center><div id="lform" class="cssform">
					<fieldset><legend>'.$vrtl['formLoginTitel'].'</legend>
					<form action="index.php?a=logIn&tl='.$CoreTaal.'" method="post" onsubmit="return checkform_loginControle'.$CoreTaal.'(this);">
						<table align="left" border="0" cellspacing="0" cellpadding="3">';
?>
	<tr><td><? echo $vrtl['formGebruikersnaam']; ?> :</td><td><input type="text" name="user" maxlength="30" /></td><td>&nbsp;</td></tr>
			<tr><td><? echo $vrtl['formWachtwoord']; ?></td><td><input type="password" name="pass" maxlength="30" /></td><td>&nbsp;</td></tr>
			<tr><td colspan="2" align="left"><input type="submit" class="formSubmit" value="<? echo $vrtl['formLoginButton']; ?>" />
			</td></tr>
		</table>
	</form>
	</fieldset>
</div>			
</center>	


<?php

	include('includes/_darkcmsFooter.php');
}

?>